Subject: Re: [bug#28560] [PATCH] web: Add try-files for the nginx-service-type.

From: Julien Lepiller <[email-masked]>
Date: Tue, 26 Sep 2017 09:53:52 +0200

Le 24 septembre 2017 20:09:26 GMT+02:00, Oleg Pykhalov <[email-masked]> a écrit :
>Hello Julien,
>
>Julien Lepiller <[email-masked]> writes:
>
>> Thank you for the patch! I think it will be perfect after you update
>doc/guix.texi too.
>
>Thank you for review.
>
>I rephrase little bit
>https://nginx.org/en/docs/http/ngx_http_core_module.html#try_files
>
>Here is a new patch.

Hi,

I don't think your rephrasing works, I have some troubles making sense of it, even though I know what it is supposed to do. Maybe:

A list of files whose existence is checked in the specified order. @code{nginx} will use the first file it finds to process the request.

I'm not sure about the last part of your sentence, do we explain what the "current context" is? Is it even relevant? Could you add a sentence to explain the usage of variables here, such as "$uri"? Maybe a small example would be enough.

Thank you!